<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->namespace('Api')->group(function () {
    //查询矿区列表
    Route::get('mine/getmine', 'MineApiController@getMineList');

    //查询区域列表
    Route::get('mine/getlist', 'MineApiController@getAreaList');

    //查询工作面列表
    Route::post('surface/getlist', 'MineApiController@getSurfaceList');
});

Route::middleware('auth:api')->namespace('Api')->group(function () {
    //测试接口认证
    Route::get('test/apiauth', function () {
        return 'success';
    });
});